/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech) (6.0.0).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
package kata.birthday.greeting.api;

import kata.birthday.greeting.model.Greeting;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@Validated
public interface GreetingApi {

    /**
     * GET /greeting/{birthday}
     * Returns a list of greeting emails
     *
     * @param birthday Date of birthday (required)
     * @return Successful response (status code 200)
     * or Invalid birthday supplied (status code 400)
     */
    @RequestMapping(
            method = RequestMethod.GET,
            value = "/greeting/{birthday}",
            produces = {"application/json"}
    )
    default ResponseEntity<List<Greeting>> greetingBirthdayGet(
            @PathVariable("birthday") String birthday
    ) {
        return new ResponseEntity<>(HttpStatus.NOT_IMPLEMENTED);
    }

}
